Bug 1418546 - [Docs][RFE][Ironic] Document support for partition images
Summary: [Docs][RFE][Ironic] Document support for partition images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Sandra McCann
QA Contact: Martin Lopes
URL:
Whiteboard:
Depends On: 1337762
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 04:50 UTC by Lucy Bopf
Modified: 2017-03-24 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 15:36:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-02 04:50:45 UTC
An enhancement in RHOSP 9 allows agent drivers (drivers prefixed with "agent_") to deploy partition images.

This capability was added because all drivers in OpenStack Bare Metal Provisioning (ironic) should be able to deploy full disk images (these are images that contain a partition table with a bootloader, among other properties). This also includes partition images, which are images with a root filesystem.

As a result, agent drivers are now able to deploy partition images, as well as full disk images.

The steps for deploying partition images must be added to the RHOSP 9 Bare Metal Provisioning guide.

Comment 1 Lucy Bopf 2017-02-03 04:37:09 UTC
Assigning to Sandra for review.


Note You need to log in before you can comment on or make changes to this bug.